Edit

OneLake Settings - Get Settings

Get workspace OneLake settings.

Permissions

The caller must have an admin workspace role.

Required Delegated Scopes

OneLake.Read.All or OneLake.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/onelake/settings

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

GetOneLakeSettingsResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

  • WorkspaceNotFound - Workspace not found.

  • UserNotAuthorizedSourceWorkspace - User is not authorized for the workspace.

Examples

Get OneLake Settings with all settings example
Get OneLake Settings with diagnostics disabled example
Get OneLake Settings with diagnostics enabled example
Get OneLake Settings with immutability policy example
Get OneLake Settings without immutability policy example

Get OneLake Settings with all settings example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/settings

Sample response

{
  "diagnostics": {
    "status": "Enabled",
    "destination": {
      "type": "Lakehouse",
      "lakehouse": {
        "referenceType": "ById",
        "itemId": "33d48b2c-5b7c-42e2-8467-87fecb105fdd",
        "workspaceId": "85173301-af01-49c9-b667-03edc44517da"
      }
    }
  },
  "immutabilityPolicies": [
    {
      "scope": "DiagnosticLogs",
      "retentionDays": 30
    }
  ],
  "lifecycle": {
    "defaultTier": "Cool",
    "policy": "Active",
    "accessTimeTracking": "Enabled"
  }
}

Get OneLake Settings with diagnostics disabled example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/settings

Sample response

{
  "diagnostics": {
    "status": "Disabled"
  },
  "lifecycle": {
    "defaultTier": "Hot",
    "policy": "Inactive"
  }
}

Get OneLake Settings with diagnostics enabled example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/settings

Sample response

{
  "diagnostics": {
    "status": "Enabled",
    "destination": {
      "type": "Lakehouse",
      "lakehouse": {
        "referenceType": "ById",
        "itemId": "33d48b2c-5b7c-42e2-8467-87fecb105fdd",
        "workspaceId": "85173301-af01-49c9-b667-03edc44517da"
      }
    }
  },
  "lifecycle": {
    "defaultTier": "Cool",
    "policy": "Active"
  }
}

Get OneLake Settings with immutability policy example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/settings

Sample response

{
  "diagnostics": {
    "status": "Enabled",
    "destination": {
      "type": "Lakehouse",
      "lakehouse": {
        "referenceType": "ById",
        "itemId": "33d48b2c-5b7c-42e2-8467-87fecb105fdd",
        "workspaceId": "85173301-af01-49c9-b667-03edc44517da"
      }
    }
  },
  "immutabilityPolicies": [
    {
      "scope": "DiagnosticLogs",
      "retentionDays": 30
    }
  ],
  "lifecycle": {
    "defaultTier": "Cool",
    "policy": "Active"
  }
}

Get OneLake Settings without immutability policy example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/settings

Sample response

{
  "diagnostics": {
    "status": "Disabled"
  },
  "lifecycle": {
    "defaultTier": "Hot",
    "policy": "Inactive"
  }
}

Definitions

Name Description
AccessTimeTrackingStatus

The status of OneLake access time tracking. When enabled, Azure Storage updates the LastAccessTime property on file reads and writes. Additional status values may be added over time.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GetOneLakeSettingsResponse

OneLake settings response.

ImmutabilityPolicy

Immutability policy object.

ImmutabilityScope

The scope of immutability policy. Additional Immutability Scope types may be added over time.

ItemReferenceById

An item reference by ID object.

ItemReferenceByVariable

An item reference by variable.

ItemReferenceType

The item reference type. Additional ItemReferenceType types may be added over time.

LakehouseOneLakeDiagnosticSettingsDestination

Lakehouse destination for OneLake diagnostic logs.

Lifecycle

Lifecycle management settings for the workspace. Only present when lifecycle management is enabled.

OneLakeAccessTier

The OneLake access tier. Additional access tier values may be added over time.

OneLakeDiagnosticSettings

OneLake diagnostic settings object.

OneLakeLifecyclePolicyStatus

The status of the OneLake lifecycle policy. Additional status values may be added over time.

AccessTimeTrackingStatus

The status of OneLake access time tracking. When enabled, Azure Storage updates the LastAccessTime property on file reads and writes. Additional status values may be added over time.

Value Description
Enabled

Access time tracking is enabled. Azure Storage updates LastAccessTime on file reads and writes.

Disabled

Access time tracking is disabled. LastAccessTime is not updated on file access.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GetOneLakeSettingsResponse

OneLake settings response.

Name Type Description
diagnostics

OneLakeDiagnosticSettings

OneLake diagnostic settings object.

immutabilityPolicies

ImmutabilityPolicy[]

Immutability settings of the workspace.

lifecycle

Lifecycle

Lifecycle management settings for the workspace. Only present when lifecycle management is enabled.

ImmutabilityPolicy

Immutability policy object.

Name Type Description
retentionDays

integer

minimum: 1

Value of the retention days configured.

scope

ImmutabilityScope

Scope of the immutability policy.

ImmutabilityScope

The scope of immutability policy. Additional Immutability Scope types may be added over time.

Value Description
DiagnosticLogs

Immutability policy for diagnostic logs.

ItemReferenceById

An item reference by ID object.

Name Type Description
itemId

string (uuid)

The ID of the item.

referenceType string:

ById

The item reference type.

workspaceId

string (uuid)

The workspace ID of the item.

ItemReferenceByVariable

An item reference by variable.

Name Type Description
referenceType string:

ByVariable

The item reference type.

variableReference

string

A variable reference string that specifies the Variable Library and the variable name inside it. Format: $(/**/_VarLibrary_/_VarName_) for a Variable Library named VarLibrary and a variable named VarName.

ItemReferenceType

The item reference type. Additional ItemReferenceType types may be added over time.

Value Description
ById

The item is referenced by its ID.

ByVariable

The item is referenced by a variable.

LakehouseOneLakeDiagnosticSettingsDestination

Lakehouse destination for OneLake diagnostic logs.

Name Type Description
lakehouse ItemReference:

Reference to the destination lakehouse. Currently, only ItemReferenceById is supported.

type string:

Lakehouse

The item type of the destination.

Lifecycle

Lifecycle management settings for the workspace. Only present when lifecycle management is enabled.

Name Type Description
accessTimeTracking

AccessTimeTrackingStatus

Indicates whether Azure Storage access time tracking (LastAccessTime updates) is enabled for OneLake files in the workspace.

defaultTier

OneLakeAccessTier

The default access tier for the workspace. All files without an explicitly set tier are stored in the default tier.

policy

OneLakeLifecyclePolicyStatus

Indicates whether there is at least one active lifecycle rule in the workspace.

OneLakeAccessTier

The OneLake access tier. Additional access tier values may be added over time.

Value Description
Hot

Hot access tier. Highest storage costs and lowest transaction costs.

Cool

Cool access tier. Lower storage costs and higher transaction costs. Minimum 30 days storage.

Cold

Cold access tier. Lowest storage costs and highest transaction costs. Minimum 60 days storage.

OneLakeDiagnosticSettings

OneLake diagnostic settings object.

Name Type Description
destination OneLakeDiagnosticSettingsDestinationInfo:

LakehouseOneLakeDiagnosticSettingsDestination

The destination where OneLake diagnostic logs are stored. If disabling, this is not required.

status

string

The status of the diagnostics settings.

OneLakeLifecyclePolicyStatus

The status of the OneLake lifecycle policy. Additional status values may be added over time.

Value Description
Inactive

No lifecycle policy rules are configured.

Active

Lifecycle policy rules are configured and active.